<!doctype html>
<html>
  <head>
    <meta charset="UTF-8" />
    <!-- https://developer.mozilla.org/en-US/docs/Web/HTTP/CSP -->
    <meta
      http-equiv="Content-Security-Policy"
      content="default-src 'self'; script-src 'self'"
    />
    <link rel="stylesheet" href="../css/style.css" />
    <link rel="stylesheet" href="../css/index.css" />
    <link rel="stylesheet" href="../css/modal.css" />

    <title>Todo App</title>
  </head>
  <body>
    <section
      class="btns-slides-contoller btn-group"
      role="group"
      aria-label="Basic radio toggle button group"
    >
      <button
        class="carousel-control-prev btn btn-primary login-slide"
        type="button"
        data-bs-target="#carousel"
        data-bs-slide="prev"
        id="prevButton"
      >
        login
      </button>
      <button
        class="carousel-control-next btn btn-primary register-slide"
        type="button"
        data-bs-target="#carousel"
        data-bs-slide="next"
        id="nextButton"
      >
        register
      </button>
    </section>
    <section class="carousel slide" id="carousel">
      <div class="carousel-inner">
        <div class="carousel-item active" data-slide="1">
          <form id="login_form">
            <input
              name="username"
              class="form-control input_username"
              type="text"
              placeholder="user name"
            />
            <input
              name="password"
              class="form-control input_userpassword"
              type="password"
              placeholder="password"
            />

            <button type="submit" class="login_button btn btn-primary">
              Login
            </button>
          </form>
        </div>
        <div class="carousel-item" data-slide="2">
          <form id="register-form">
            <input
              name="username"
              class="form-control input_username"
              type="text"
              placeholder="user name"
            />
            <input
              name="password"
              class="form-control input_userpassword"
              type="password"
              placeholder="password"
            />

            <button type="submit" class="login_button btn btn-primary">
              Register
            </button>
          </form>
        </div>
      </div>
    </section>
    <script src="../../../node_modules/bootstrap/dist/js/bootstrap.js"></script>
    <script src="../../scripts/loginCarousel.js" type="module"></script>
    <script src="../../scripts/login.js" type="module"></script>
  </body>
</html>
